Bug 850786 - rpmlint doesn't work properly with RI files (unexpanded-macro, file-not-utf8, wrong-file-end-of-line-encoding)
rpmlint doesn't work properly with RI files (unexpanded-macro, file-not-utf8,...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 08:27 EDT by Josef Stribny
Modified: 2016-01-04 00:50 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:06:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for unexpanded macro warning when checking RI files (719 bytes, patch)
2012-08-22 08:27 EDT, Josef Stribny
no flags Details | Diff
RI files are always binary (867 bytes, patch)
2012-08-22 08:28 EDT, Josef Stribny
no flags Details | Diff

  None (edit)
Description Josef Stribny 2012-08-22 08:27:35 EDT
Created attachment 606236 [details]
Patch for unexpanded macro warning when checking RI files

Description of problem:

In the current version of rpmlint, rubygems may raise warnings that are not accurate. rpmlint handles some RI files (that are always binary) as text files and does not allow percent-encoding in the path (but this is correct since Ruby use these characters in the names of methods and RDoc saves RI files with the full method names including encoded special characters).

2 attached patches solve the problem:
macro_regex.patch solves unexpanded-macro issue and 
ri_files_are_binary.patch solve the rest

Steps to Reproduce:

1. install rpmlint: 
   yum install rpmlint
2. download Mocha rpm package from:
   http://kojipkgs.fedoraproject.org//packages/rubygem-mocha/0.12.1/1.fc18/noarch/rubygem-mocha-doc-0.12.1-1.fc18.noarch.rpm
3. run rpmlint to check this package:
   rpmlint ./rubygem-mocha-doc-0.12.1-1.fc18.noarch.rpm
  
Actual results:

warning unexpanded-macro:
rubygem-mocha-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mocha-0.12.1/ri/Mocha/Expectation/satisfied%3f-i.ri %3f

warning file-not-utf8:
rubygem-mocha-doc.noarch: W: file-not-utf8 /usr/share/gems/doc/mocha-0.12.1/ri/cache.ri

warning wrong-file-end-of-line-encoding:
rubygem-mocha-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/mocha-0.12.1/ri/Mocha/Expectation/backtrace-i.ri

Expected results:

No such warnings

Additional info:

I am submitting the patch here as I am unsure about the current upstream of rpmlint. If you know it, please let me know.
Comment 1 Josef Stribny 2012-08-22 08:28:26 EDT
Created attachment 606237 [details]
RI files are always binary
Comment 2 Tom "spot" Callaway 2012-08-22 08:29:20 EDT
http://rpmlint.zarb.org/ is the current upstream.
Comment 3 Josef Stribny 2012-08-22 08:40:32 EDT
I submitted the patch there:

http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/569
Comment 4 Fedora Update System 2012-09-07 09:16:56 EDT
rpmlint-1.4-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rpmlint-1.4-10.fc17
Comment 5 Fedora Update System 2012-09-07 09:17:09 EDT
rpmlint-1.4-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpmlint-1.4-10.fc16
Comment 6 Fedora Update System 2012-09-07 09:17:20 EDT
rpmlint-1.4-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rpmlint-1.4-10.fc18
Comment 7 Fedora Update System 2012-09-07 15:39:32 EDT
Package rpmlint-1.4-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.4-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13573/rpmlint-1.4-10.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-17 18:06:57 EDT
rpmlint-1.4-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-18 22:59:12 EDT
rpmlint-1.4-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-18 23:09:08 EDT
rpmlint-1.4-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.